Skip to main content
GET
/
customers
/
{id}
/
consent
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/customers/{id}/consent \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "consent": {
      "consent_string": "COvFyGBOvFyGBAbAAAENAPCAAOAAAAAAAAAAAEEUACCKAAA",
      "version": "2.0",
      "consent_timestamp": "2023-11-07T05:31:56Z",
      "customer_id": "<string>",
      "purposes": {
        "behavioral_campaigns": true,
        "coupon_campaigns": true,
        "punchcard_campaigns": true,
        "email_marketing": true,
        "push_notifications": true,
        "link_tracking": true
      },
      "vendors": {
        "vendor_123": true,
        "vendor_456": false
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The customer unique identifier in your system

Response

Customer consent

data
object